Package org.eclipse.birt.chart.script.api.component

# Interface IMarkerLine

All Superinterfaces:
  `IChartComponent`

public interface IMarkerLine extends IChartComponent
Represents the Marker Line of Axis in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`IDataElement`
`getValue()`
Gets the value for defining where the line will be positioned
`void`
`setValue(IDataElement value)`
Sets the value for defining where the line will be positioned

### Methods inherited from interface org.eclipse.birt.chart.script.api.component.IChartComponent

`getTitle, isVisible, setVisible`

## Method Details

### getValue

IDataElement getValue()
Gets the value for defining where the line will be positioned

Returns:
  value

### setValue

void setValue(IDataElement value)
Sets the value for defining where the line will be positioned

Parameters:
  `value` - value